from inputs.snap7_connect import SiemensCPU
from inputs.balluff_html import Balluff
from database.influxdb import Point, Database
from datetime import datetime
import time

db = Database()

cpu = SiemensCPU()

cpu.connect("10.0.10.1", 0, 0)
cpu.get_connected()

#print(cpu.synchronize())

balluff = Balluff()

while True:
  values = balluff.read()
  points = []
  for meas in values:
    print(meas)
    p = Point("24v").time(meas.timestamp).tag("source", meas.source).tag("channel", meas.channel).field("current", meas.current)
    points.append(p)
  db.write(points)
